package org.apache.bcel.generic;

import org.apache.bcel.Const;
import org.apache.bcel.classfile.ConstantPool;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/FieldInstruction.class */
public abstract class FieldInstruction extends FieldOrMethod {
    /* JADX INFO: Access modifiers changed from: package-private */
    public FieldInstruction() {
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public FieldInstruction(short opcode, int index) {
        super(opcode, index);
    }

    public String getFieldName(ConstantPoolGen cpg) {
        return getName(cpg);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public int getFieldSize(ConstantPoolGen cpg) {
        return Type.size(Type.getTypeSize(getSignature(cpg)));
    }

    public Type getFieldType(ConstantPoolGen cpg) {
        return Type.getType(getSignature(cpg));
    }

    @Override // org.apache.bcel.generic.CPInstruction, org.apache.bcel.generic.TypedInstruction
    public Type getType(ConstantPoolGen cpg) {
        return getFieldType(cpg);
    }

    @Override // org.apache.bcel.generic.CPInstruction, org.apache.bcel.generic.Instruction
    public String toString(ConstantPool cp) {
        return Const.getOpcodeName(super.getOpcode()) + " " + cp.constantToString(super.getIndex(), (byte) 9);
    }
}
